require 'rho/rhocontroller'
require 'helpers/browser_helper'
require 'date'

class ScheduleController < Rho::RhoController
  include BrowserHelper
  WDAYS = ["日", "月", "火", "水", "木", "金", "土"]
  NAVBAR = ["月表示","一覧"]

  def initialize
    $date = Date.today
    $schedules = Hash.new
    $ary = Array.new
    $ary = Schedule.find(:all)
    @user = User.find(:first)
  end

  def decision
    end_of_month = Date.new($date.year, $date.month, -1).day
    end_of_month.times do |t|
      date = Date.new($date.year, $date.month, t+1)
      st_at = DateTime.new($date.year, $date.month, t+1, 0, 0, 0)
      ed_at = DateTime.new($date.year, $date.month, t+1, 23, 59, 59)
      $schedules[date] = $ary.select do |data| 
        DateTime.parse(data.st_at) >= st_at &&  DateTime.parse(data.ed_at) <= ed_at
      end
    end
  end

  def index
    decision
    render :action => :index
  end

  def summary
    decision
    render :action => :summary
  end

end
